/* 반응형 처리 기준은 270px까지 */

html{
    width: 100%;
}

/* 기본 스타일 정의 */
.flex-row { flex-direction: row !important; }
.text-end { text-align: right !important; }
.btn-align-right { width: 100%; display: flex; flex-direction: row-reverse; }
.mb-10px { margin-bottom: 10px !important; }
.me-40px { margin-right: 40px !important; }
.mt-12px { margin-top: 12px !important; }
.mt-20px { margin-top: 20px !important; }
.fs-10px { font-size: 10px; }
.fs-14px { font-size: 14px; }
.item-center-m { margin: 0 auto; }
.fs-h5 {
    font-size: 1.25rem;
    letter-spacing: -0.011rem;
    font-weight: 500;
    margin-top: 0;
    line-height: 1.2;
 }
.h-auto { height: auto !important; }
.h-600px { height: 600px; }
.line-break { display: block; }
.space-between { justify-content: space-between }
.top-25 { top: 25% !important; }
.line-height-55px { line-height: 55px; }
.w-260px { width: 260px; }
.item-center { justify-content: center; }
.item-end { justify-content: end; }
.box-shadow-homecare {
    border-radius: 40px;
    -webkit-box-shadow: 1px -2px 23px 1px rgba(0, 0, 0, 0.025);
}
.radius-50 { border-radius: 0.5rem !important; }


@media (max-width: 1400px) {
    .fs-xxl-11px { font-size: 11px; }
    .fs-xxl-18px { font-size: 18px; }
    .fs-xxl-46px { font-size: 46px; }
    .fs-xxl-58px { font-size: 58px; }
    .line-break-xxl { display: block; }
    .me-xxl-80px { margin-right: 80px !important; }
    .me-xxl-0px { margin-right: 0px !important; }
}
@media (max-width: 1199px) {
    .line-break-xl{ display: block; }
    .fs-xl-52px { font-size: 52px; }
    .text-xl-center { text-align: center; }
    .line-fix-xl { display: inline; }
    .me-xl-120px { margin-right: 120px !important; }
    .me-xl-0px { margin-right: 0px !important; }
}

/* 공통 스타일 */
@media (max-width: 991px) {
    .flex-lg-column-max { flex-direction: column !important; }
    .flex-lg-row-max { flex-direction: row !important; }
    .d-lg-flex { display: flex; }
    .d-none-lg { display: none !important; }
    .btn-align-lg-right { width: 100%; display: flex; flex-direction: row-reverse; }
    .mb-lg-20px { margin-bottom: 20px; }
    .fs-lg-10px { font-size: 10px; }
    .fs-lg-12px { font-size: 12px; }
    .h-lg-auto { height: auto !important; }
    .max-width-lg { max-width: 991px; }
    .line-fix-lg { display: inline; }
    .column-reverse-lg { flex-direction: column-reverse; }
    .btn-align-lg-right { width: 100%; display: flex; flex-direction: row-reverse; }
    .mt-lg-12px { margin-top: 12px !important; }
    .mt-lg-20px { margin-top: 20px !important; }
    .line-break-lg { display: block; }
    .text-start-lg { text-align: left !important; }
    .text-center-lg { text-align: center !important; }
    .text-black-lg {
        --bs-text-opacity: 1;
        color: rgba(var(--bs-black-rgb), var(--bs-text-opacity)) !important;
    }
    .m-lg-0 {
        margin: 0 !important;
    }
    .me-lg-0-max {
            margin-right: 0 !important;
        }
}
@media (max-width: 767px) {
.flex-md-column-max { flex-direction: column !important; }
.btn-align-md-right { width: 100%; display: flex; flex-direction: row-reverse; }
.mt-md-12px { margin-top: 12px !important; }
.d-none-md { display: none !important; }
.text-start-md { text-align: left !important; }
.text-center-md { text-align: center !important; }
    .fs-md-42px { font-size: 42px; }
    .fs-md-35px { font-size: 35px; }
    .fs-md-50px { font-size: 42px; }
    .line-break-md { display: block; }
    .w-md-auto-max { width:auto; }
    .mt-md-2-max { margin-top: 0.5rem !important; }
}
@media (max-width: 576px) {
.flex-sm-column-max { flex-direction: column !important; }
.text-start-sm { text-align: left !important; }
.btn-align-sm-right { width: 100%; display: flex; flex-direction: row-reverse; }
.mt-sm-12px { margin-top: 12px !important; }
    .fs-sm-12px { font-size: 12px; }
    .fs-sm-16px { font-size: 16px; }
    .fs-sm-20px { font-size: 20px; }
    .max-width-sm { max-width: 540px; }
    .flex-sm-row { flex-direction: row !important; }
    .flex-sm-column { flex-direction: column !important; }
    .text-sm-end { text-align: right !important; }
    .fs-sm-38px { font-size: 38px; }
    .fs-sm-17px { font-size: 17px; }
    .line-block-sm { display: block; }
    .line-fix-sm { display: inline; }
    .fs-sm-8 { font-size: 0.8rem !important; }
    .fs-sm-75 { font-size: 0.75rem}
    .col-sm-12-max {
        flex: 0 0 auto;
        width: 100%;
      }
    .fs-h6-sm {
        margin-bottom: 0.5rem;
        font-size: 1rem;
        letter-spacing: -0.011rem;
        font-weight: 500;
        margin-top: 0;
        line-height: 1.2;
    }
    .mt-sm-2-max { margin-top: 0.5rem !important; }
    .w-sm-252px { width: 252px !important; }
    .me-sm-0 { margin-right: 0 !important; }
}
@media (max-width: 483px) {
    .line-break-483px { display: block; }
    .fs-50-483px { font-size: 0.5rem; }
    .fs-h7-483px {
        margin-bottom: 0.5rem;
        font-size: 0.75rem;
        letter-spacing: -0.011rem;
        font-weight: 500;
        margin-top: 0;
        line-height: 1.2;
    }
    .mb-2-483px { margin-bottom: 0.5rem !important; }
    .d-none-483px { display: none; }
}

@media (max-width: 425px) {
    .mb-xs-10px { margin-bottom: 10px !important; }
    .fs-xs-34px { font-size: 34px; }
    .fs-xs-14px { font-size: 14px; }
    .fs-xs-19px { font-size: 19px; }
    .fs-xs-32px { font-size: 32px; }
    .fs-xs-30px { font-size: 30px; }
    .text-start-xs { text-align: left; }
    .line-break-xs { display: block; }
    .line-fix-xs { display: inline; }
    .ms-xxs-75px { margin-left: 75px; }
    .ms-xs-0 { margin-left: 0px !important; }
    .fs-xs-10 { font-size: 0.6rem !important; }
    .text-xs-end { text-align: end; }
    .fs-50-xs { font-size: 0.5rem; }
    .radius-50-xs { border-radius: 0.5rem !important; }
    .flex-xs-column-max { flex-direction: column !important; }
    .mt-xs-20px { margin-top: 20px; }
    .w-xs-100 { width: 100% !important; }
    .w-xs-140px { width: 140px; }
}

@media (max-width: 380px) {
    .fs-xxs-28px { font-size: 28px; }
    .fs-xxs-25px { font-size: 25px; }
    .fs-xxs-12px { font-size: 12px; }
    .line-break-xxs { display: block; }
    .line-fix-xxs { display: inline; }
    .line-height-35px-xxs { line-height: 35px; }
    .ms-xxs-0 { margin-left: 0rem !important;}
    .ms-xxs-50px { margin-left: 50px; }
    .d-none-xxs { display: none !important; }
}
@media (max-width: 360px) {
    .mt-10px-xxs-360 { margin-top: 10px !important;}
    .fs-8px-xxs-360 { font-size: 8px; }
    .ps-0-xxs-360 { padding-left: 0px; }
    .pe-0-xxs-360 { padding-right: 0px; }
    .fs-90-xxs { font-size: 0.9rem; }
    .d-none-xxs-360 { display: none !important; }
    .w-xxs-360-152px { width: 152px !important; }
    .w-xxs-360-200px { width: 200px !important; }
}
@media (max-width: 342px) {
    .fs-50-342px { font-size: 0.5rem; }
    .fs-14px-342px { font-size: 14px; }
    .fs-h8-342px {
        margin-bottom: 0.5rem;
        font-size: 0.5rem;
        letter-spacing: -0.011rem;
        font-weight: 500;
        margin-top: 0;
        line-height: 1.2;
    }
    .mb-1-342px { margin-bottom: 0.25rem !important; }
    .line-break-342px { display: block; }
}

@media (max-width: 325px) {
    .text-xxs-325-center { text-align: center !important; }
    .fs-xxs-325-32px { font-size: 32px; }
    .fs-xxs-325-15px { font-size: 15px; }
    .line-break-325 { display: block; }
}
@media (max-width: 320px) {
    .text-xxxs-center { text-align: center !important; }
    .fs-xxxs-32px { font-size: 32px; }
    .line-fix-xxxs { display: inline; }
    .line-break-xxxs { display: block; }
    .ms-xxxs-35px { margin-left: 35px; }
    .text-start-xxxs { text-align: left; }
    .fs-xxxs-12 { font-size: 0.4rem !important; }
    .flex-column-xxxs { flex-direction: column !important; }
    .text-end-xxxs { text-align: end; }
}

@media (max-width: 308px) {
    .fs-xxxs-308-24px { font-size: 24px; }
    .fs-xxxs-308-10px { font-size: 10px; }
    .line-break-xxxs-308 { display: block; }
    .mt-xxxs-308-5px { margin-top: 5px; }
}

@media (max-width: 284px) {
    .fs-xxxs-284-25px { font-size: 25px; }
}

@media (min-width: 1200px) and (max-width: 1400px) {
    .fs-xxl-o-59px { font-size: 59px; }
    .line-break-xxl-o { display: block; }
}

@media (min-width: 991px) and (max-width: 1199px) {
    .fs-xl-o-52px { font-size: 52px; }
    .fs-xl-o-16px { font-size: 16px; }
    .mt-xl-o-70px { margin-top: 70px; }
    .line-break-xl-o { display: block; }
}

